#include "Ui.h" // the name of your fluid header file.
#include <fltk/run.h>   // roughly equiv. to "FL/Fl.H"

#include <stdio.h> // printf


#include <fltk/x11.h>
#include <fltk/rs/XEventToString.cpp>
fltk::x_handler_func* old_xev_handler;

bool xev_spy(void* w)
{
  printf("fltk::Window = 0x%.8X, fltk::xevent = %d %s\n",  w, fltk::xevent.type, XEventToString(fltk::xevent.type));
  return old_xev_handler(w);
}

#include <fltk/events.h>
#include <fltk/rs/EventToString.cpp>
fltk::event_handler_func* old_ev_handler;

bool ev_spy(int ev, fltk::Window * w)
{
  printf("fltl::Window = 0x%.8X, fltk::event = %d %s\n",  w, ev, EventToString(ev));
  
  return old_ev_handler(ev, w);
}

int main(int argc, char** argv)
{
  old_xev_handler = fltk::x_handler_hook;
  fltk::x_handler_hook = xev_spy;
  
  old_ev_handler = fltk::event_handler_hook;
  fltk::event_handler_hook = ev_spy;

  fltk::Window* w = make_window();
  w->label("ok ");
  w->color(0xEEDDCC00); // set 8-digit hex bg color here, last two digits = 0
  w->align(fltk::ALIGN_CENTER);
  w->show();
  return fltk::run();
}

